<aside class="main-sidebar sidebar-light-primary elevation-4" >
  <!-- Brand Logo -->
  <a class="brand-link">
    <img src="assets/Moderna/assets/img/Sans%20titre-1.png" alt="AdminLTE Logo"
         style="opacity: .8">
    <span class="brand-text font-weight-normal" style="margin-left: 5px;margin-bottom: -30px;color: dodgerblue">Avatar Booking</span>
  </a>

  <!-- Sidebar -->
  <div class="sidebar" *ngIf="isLoggedIn">
    <!-- Sidebar user panel (optional) -->
    <div class="user-panel mt-3 pb-3 mb-3 d-flex">
      <div class="image" *ngIf=retrievedImage>
<!--        <img src="assets/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">-->
        <img [src]="retrievedImage" class="img-circle elevation-2" alt="User Image">
      </div>
      <div class="info">
        <a href="#" class="d-block">{{ username }}</a>
      </div>
    </div>

    <!-- Sidebar Menu -->
    <nav class="mt-2">
      <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="true">
        <!-- Add icons to the links using the .nav-icon class
             with font-awesome or any other icon font library -->
        <li class="nav-item has-treeview ">
          <a href="#" class="nav-link active">
<!--            <i class="nav-icon fas fa-tachometer-alt"></i>-->
            <i class="nav-icon fas fa-id-card"></i>
            <p>
              Profile
              <i class="right fas fa-angle-left"></i>
            </p>
          </a>
          <ul class="nav nav-treeview">
            <li class="nav-item">
              <a [routerLink]="['/profile']" [routerLinkActive]="['active']" class="nav-link">
                <i class="far fa-user-circle nav-icon"></i>
                <p>My Profile</p>
              </a>
            </li>
            <li class="nav-item">
              <a [routerLink]="['/chatroom']" [routerLinkActive]="['active']" class="nav-link">
                <i class="far fa-comment nav-icon"></i>
                <p>Chat</p>
              </a>
            </li>
<!--            <li class="nav-item">-->
<!--              <a href="/profileupdate" class="nav-link">-->
<!--                <i class="far fa-circle nav-icon"></i>-->
<!--                <p>Manage Profile</p>-->
<!--              </a>-->
<!--            </li>-->
<!--            <li class="nav-item">-->
<!--              <a href="/photo" class="nav-link">-->
<!--                <i class="far fa-circle nav-icon"></i>-->
<!--                <p>Change Picture</p>-->
<!--              </a>-->
<!--            </li>-->
            <li hidden class="nav-item">
              <a [routerLink]="['/tryprof']" class="nav-link">
                <i class="far fa-circle nav-icon"></i>
                <p>TRY profile </p>
              </a>
            </li>
          </ul>
        </li>
        <li class="nav-item has-treeview " *ngIf="showAvatarBoard||showClientBoard">
          <a href="#" class="nav-link active">
            <i class="nav-icon fas fa-tachometer-alt"></i>
            <p>
              Mission
              <i class="right fas fa-angle-left"></i>
            </p>
          </a>
          <ul class="nav nav-treeview">
            <li class="nav-item" *ngIf="showAvatarBoard">
              <a  [routerLink]="['/consultmission']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-file-invoice-dollar"></i>
                <p style="margin-left: 8px">Missions Opportunities</p>
              </a>
            </li>
            <li class="nav-item" *ngIf="showAvatarBoard">
              <a  [routerLink]="['/avatarmissionboard']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-chalkboard-teacher"></i>
                <p style="margin-left: 8px">Missions Board</p>
              </a>
            </li>
<!--            <li class="nav-item" *ngIf="showAvatarBoard">-->
<!--              <a  [routerLink]="['/undonemission']" class="nav-link">-->
<!--                <i class="far fa-circle nav-icon"></i>-->
<!--                <p>Undone Missions</p>-->
<!--              </a>-->
<!--            </li>-->
<!--            <li class="nav-item" *ngIf="showAvatarBoard">-->
<!--              <a  [routerLink]="['/doingmission']" class="nav-link">-->
<!--                <i class="far fa-circle nav-icon"></i>-->
<!--                <p>Doing Missions</p>-->
<!--              </a>-->
<!--            </li>-->
<!--            <li class="nav-item" *ngIf="showAvatarBoard">-->
<!--              <a  [routerLink]="['/donemission']" class="nav-link">-->
<!--                <i class="far fa-circle nav-icon"></i>-->
<!--                <p>Done Missions</p>-->
<!--              </a>-->
<!--            </li>-->
            <li class="nav-item" *ngIf="showClientBoard">
              <a [routerLink]="['/specificmission']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-user-tag"></i>
                <p style="margin-left: 8px">Specific mission</p>
              </a>
            </li>
            <li class="nav-item" *ngIf="showClientBoard">
              <a [routerLink]="['/allmissions']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-clipboard-list"></i>
                <p style="margin-left: 8px">My missions</p>
              </a>
            </li>
<!--            <li class="nav-item" *ngIf="showClientBoard">-->
<!--              <a [routerLink]="['/mymission']" class="nav-link">-->
<!--                <i class="far fa-circle nav-icon"></i>-->
<!--                <p>My missions</p>-->
<!--              </a>-->
<!--            </li>-->
<!--            <li class="nav-item">-->
<!--              <a href="./index3.html" class="nav-link">-->
<!--                <i class="far fa-circle nav-icon"></i>-->
<!--                <p>Dashboard v3</p>-->
<!--              </a>-->
<!--            </li>-->
          </ul>
        </li>
        <li class="nav-item has-treeview " *ngIf="showAdminBoard">
          <a href="#" class="nav-link active">
            <i class="fas fa-user-shield"></i>
            <p style="margin-left: 8px">
              Admin
              <i class="right fas fa-angle-left"></i>
            </p>
          </a>
          <ul class="nav nav-treeview">
            <li hidden class="nav-item" *ngIf="showAdminBoard">
              <a  [routerLink]="['/chart']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-file-invoice-dollar"></i>
                <p style="margin-left: 8px">Missions Dashboard</p>
              </a>
            </li>
            <li hidden class="nav-item" *ngIf="showAdminBoard">
              <a  [routerLink]="['/chart2']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-chalkboard-teacher"></i>
                <p style="margin-left: 8px">Missions Board</p>
              </a>
            </li>
            <li hidden class="nav-item"  *ngIf="showAdminBoard">
              <a  [routerLink]="['/chart2']"  [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-user-cog"></i>
                <p style="margin-left: 8px">Manage Users</p>
              </a>
            </li>
            <li class="nav-item" (click)="goDashboardChart()" *ngIf="showAdminBoard">
              <a  [routerLink]="['/DashboardChart']"  [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-chart-pie"></i>
                <p style="margin-left: 8px">Missions Charts</p>
              </a>
            </li>
            <li class="nav-item"  *ngIf="showAdminBoard">
              <a  [routerLink]="['/Listreclamation']"  [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-tasks"></i>
                <p style="margin-left: 8px">Manage Claim</p>
              </a>
            </li>
            <li class="nav-item"  *ngIf="showAdminBoard">
              <a  [routerLink]="['/addcountry']"  [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-globe"></i>
                <p style="margin-left: 8px">Manage Country</p>
              </a>
            </li>
            <li class="nav-item"  *ngIf="showAdminBoard">
              <a  [routerLink]="['/addregion']"  [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-globe-europe"></i>
                <p style="margin-left: 8px">Manage Region</p>
              </a>
            </li>

            <!--            <li class="nav-item" *ngIf="showAvatarBoard">-->
            <!--              <a  [routerLink]="['/undonemission']" class="nav-link">-->
            <!--                <i class="far fa-circle nav-icon"></i>-->
            <!--                <p>Undone Missions</p>-->
            <!--              </a>-->
            <!--            </li>-->
            <!--            <li class="nav-item" *ngIf="showAvatarBoard">-->
            <!--              <a  [routerLink]="['/doingmission']" class="nav-link">-->
            <!--                <i class="far fa-circle nav-icon"></i>-->
            <!--                <p>Doing Missions</p>-->
            <!--              </a>-->
            <!--            </li>-->
            <!--            <li class="nav-item" *ngIf="showAvatarBoard">-->
            <!--              <a  [routerLink]="['/donemission']" class="nav-link">-->
            <!--                <i class="far fa-circle nav-icon"></i>-->
            <!--                <p>Done Missions</p>-->
            <!--              </a>-->
            <!--            </li>-->
            <li class="nav-item" *ngIf="showClientBoard">
              <a [routerLink]="['/specificmission']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-user-tag"></i>
                <p style="margin-left: 8px">Specific mission</p>
              </a>
            </li>
            <li class="nav-item" *ngIf="showClientBoard">
              <a [routerLink]="['/allmissions']" [routerLinkActive]="['active']" class="nav-link">
                <i class="fas fa-clipboard-list"></i>
                <p style="margin-left: 8px">My missions</p>
              </a>
            </li>
            <!--            <li class="nav-item" *ngIf="showClientBoard">-->
            <!--              <a [routerLink]="['/mymission']" class="nav-link">-->
            <!--                <i class="far fa-circle nav-icon"></i>-->
            <!--                <p>My missions</p>-->
            <!--              </a>-->
            <!--            </li>-->
            <!--            <li class="nav-item">-->
            <!--              <a href="./index3.html" class="nav-link">-->
            <!--                <i class="far fa-circle nav-icon"></i>-->
            <!--                <p>Dashboard v3</p>-->
            <!--              </a>-->
            <!--            </li>-->
          </ul>
        </li>

      </ul>
    </nav>
    <!-- /.sidebar-menu -->
  </div>
  <!-- /.sidebar -->
</aside>
